<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>My Project: gg::Scene Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">My Project
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search",'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacegg.html">gg</a></li><li class="navelem"><a class="el" href="classgg_1_1Scene.html">Scene</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pro-methods">Protected Member Functions</a> &#124;
<a href="classgg_1_1Scene-members.html">List of all members</a>  </div>
  <div class="headertitle"><div class="title">gg::Scene Class Reference</div></div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="Scene_8hpp_source.html">Scene.hpp</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for gg::Scene:</div>
<div class="dyncontent">
 <div class="center">
  <img src="classgg_1_1Scene.png" usemap="#gg::Scene_map" alt=""/>
  <map id="gg::Scene_map" name="gg::Scene_map">
<area href="classgg_1_1IEventSubscriber.html" alt="gg::IEventSubscriber" shape="rect" coords="139,0,268,24"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-methods" name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a505d136d0f9025a5f0da9d09230bcdae"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1Scene.html#a505d136d0f9025a5f0da9d09230bcdae">Scene</a> (std::string, <a class="el" href="classgg_1_1XMLDocument.html">XMLDocument</a>)</td></tr>
<tr class="separator:a505d136d0f9025a5f0da9d09230bcdae"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0a9b6261ce9df8f1770d3c12d8b9f233"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1Scene.html#a0a9b6261ce9df8f1770d3c12d8b9f233">~Scene</a> () override</td></tr>
<tr class="separator:a0a9b6261ce9df8f1770d3c12d8b9f233"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5b86f08f78943b33a2ec7b62810e697c"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1Scene.html#a5b86f08f78943b33a2ec7b62810e697c">AddRootNode</a> (const std::string &amp;, <a class="el" href="classgg_1_1SceneNode.html">SceneNode</a> *)</td></tr>
<tr class="separator:a5b86f08f78943b33a2ec7b62810e697c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a06d47727c4f086472155032d13dd5163"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1Scene.html#a06d47727c4f086472155032d13dd5163">AddRootNodeDefaultName</a> (<a class="el" href="classgg_1_1SceneNode.html">SceneNode</a> *)</td></tr>
<tr class="separator:a06d47727c4f086472155032d13dd5163"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4ef7462ab36f0d4aaaaf9f2733acd372"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1Scene.html#a4ef7462ab36f0d4aaaaf9f2733acd372">AddToggleButtonToToggleGroup</a> (const std::string &amp;, <a class="el" href="classgg_1_1ToggleButton.html">ToggleButton</a> *)</td></tr>
<tr class="separator:a4ef7462ab36f0d4aaaaf9f2733acd372"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a93356886f16efe8a190583faf9555ebd"><td class="memItemLeft" align="right" valign="top">auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1Scene.html#a93356886f16efe8a190583faf9555ebd">GetNode</a> (const std::string &amp;) -&gt; <a class="el" href="classgg_1_1SceneNode.html">SceneNode</a> *</td></tr>
<tr class="separator:a93356886f16efe8a190583faf9555ebd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a395bd2fe23c27973ca6d62126ebe30c2"><td class="memItemLeft" align="right" valign="top">auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1Scene.html#a395bd2fe23c27973ca6d62126ebe30c2">GetNode</a> (const std::string &amp;) const -&gt; const <a class="el" href="classgg_1_1SceneNode.html">SceneNode</a> *</td></tr>
<tr class="separator:a395bd2fe23c27973ca6d62126ebe30c2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5850e4544304e6faea1677e418d3e7bc"><td class="memItemLeft" align="right" valign="top">auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1Scene.html#a5850e4544304e6faea1677e418d3e7bc">GetToggleGroup</a> (const std::string &amp;) -&gt; <a class="el" href="classgg_1_1ToggleGroup.html">ToggleGroup</a> *</td></tr>
<tr class="separator:a5850e4544304e6faea1677e418d3e7bc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae3f0b3f0334943918ac284e1971c86c9"><td class="memItemLeft" align="right" valign="top">auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1Scene.html#ae3f0b3f0334943918ac284e1971c86c9">GetToggleGroup</a> (const std::string &amp;) const -&gt; const <a class="el" href="classgg_1_1ToggleGroup.html">ToggleGroup</a> *</td></tr>
<tr class="separator:ae3f0b3f0334943918ac284e1971c86c9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa4ba65551db00899127ceb25037b9ec0"><td class="memItemLeft" align="right" valign="top">auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1Scene.html#aa4ba65551db00899127ceb25037b9ec0">GetLabelByID</a> (const std::string &amp;) -&gt; <a class="el" href="classgg_1_1Label.html">Label</a> *</td></tr>
<tr class="separator:aa4ba65551db00899127ceb25037b9ec0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8ad6f3a9bb7a46b029471f8842225fc8"><td class="memItemLeft" align="right" valign="top">auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1Scene.html#a8ad6f3a9bb7a46b029471f8842225fc8">GetLabelByID</a> (<a class="el" href="classgg_1_1SceneNode.html">SceneNode</a> *, const std::string &amp;) -&gt; <a class="el" href="classgg_1_1Label.html">Label</a> *</td></tr>
<tr class="separator:a8ad6f3a9bb7a46b029471f8842225fc8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a09f1cc87ba6bc11a8b6beb5aeacf896b"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1Scene.html#a09f1cc87ba6bc11a8b6beb5aeacf896b">RemoveNode</a> (const std::string &amp;)</td></tr>
<tr class="separator:a09f1cc87ba6bc11a8b6beb5aeacf896b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a74f31565ab5a7597433b2870b10cabd4"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1Scene.html#a74f31565ab5a7597433b2870b10cabd4">RemoveNode</a> (<a class="el" href="classgg_1_1SceneNode.html">SceneNode</a> *)</td></tr>
<tr class="separator:a74f31565ab5a7597433b2870b10cabd4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3722157abecbbebfb3f299735c7416cb"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1Scene.html#a3722157abecbbebfb3f299735c7416cb">RemoveToggleGroup</a> (const std::string &amp;)</td></tr>
<tr class="separator:a3722157abecbbebfb3f299735c7416cb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a44f4252d969c5cc52edb5cacf0faa71a"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1Scene.html#a44f4252d969c5cc52edb5cacf0faa71a">SetActive</a> (bool)</td></tr>
<tr class="separator:a44f4252d969c5cc52edb5cacf0faa71a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abcb1e788363581e54b580b9a5a9b28e1"><td class="memItemLeft" align="right" valign="top">auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1Scene.html#abcb1e788363581e54b580b9a5a9b28e1">IsActive</a> () -&gt; bool</td></tr>
<tr class="separator:abcb1e788363581e54b580b9a5a9b28e1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a66b2770a4d2f38cba1fca7df7d1e06dc"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1Scene.html#a66b2770a4d2f38cba1fca7df7d1e06dc">Update</a> ()</td></tr>
<tr class="separator:a66b2770a4d2f38cba1fca7df7d1e06dc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9361fe7d1ace461d528c2ce224b74668"><td class="memItemLeft" align="right" valign="top">auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1Scene.html#a9361fe7d1ace461d528c2ce224b74668">GetName</a> () const -&gt; const std::string &amp;</td></tr>
<tr class="separator:a9361fe7d1ace461d528c2ce224b74668"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aeac07bf6e4c2f3daa87d8549f10c7c37"><td class="memItemLeft" align="right" valign="top">auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1Scene.html#aeac07bf6e4c2f3daa87d8549f10c7c37">GetPosition</a> () const -&gt; const sf::Vector2f</td></tr>
<tr class="separator:aeac07bf6e4c2f3daa87d8549f10c7c37"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab7a7ed13c125bed129417988730cdbfe"><td class="memItemLeft" align="right" valign="top">auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1Scene.html#ab7a7ed13c125bed129417988730cdbfe">GetSize</a> () const -&gt; const sf::Vector2f</td></tr>
<tr class="separator:ab7a7ed13c125bed129417988730cdbfe"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abc9bfaf0685c16aaa2a8cc4973ad61b4"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1Scene.html#abc9bfaf0685c16aaa2a8cc4973ad61b4">OnEvent</a> (<a class="el" href="classgg_1_1IEvent.html">IEvent</a> *e) override</td></tr>
<tr class="separator:abc9bfaf0685c16aaa2a8cc4973ad61b4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classgg_1_1IEventSubscriber"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classgg_1_1IEventSubscriber')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classgg_1_1IEventSubscriber.html">gg::IEventSubscriber</a></td></tr>
<tr class="memitem:a08d412b35e08386f265840cd3652c8fc inherit pub_methods_classgg_1_1IEventSubscriber"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1IEventSubscriber.html#a08d412b35e08386f265840cd3652c8fc">IEventSubscriber</a> ()=default</td></tr>
<tr class="separator:a08d412b35e08386f265840cd3652c8fc inherit pub_methods_classgg_1_1IEventSubscriber"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a574e684bfb29123ae250769873231cd8 inherit pub_methods_classgg_1_1IEventSubscriber"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1IEventSubscriber.html#a574e684bfb29123ae250769873231cd8">~IEventSubscriber</a> ()=default</td></tr>
<tr class="separator:a574e684bfb29123ae250769873231cd8 inherit pub_methods_classgg_1_1IEventSubscriber"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac8aebcb4316a65f73f794a924e5619ee inherit pub_methods_classgg_1_1IEventSubscriber"><td class="memItemLeft" align="right" valign="top">auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1IEventSubscriber.html#ac8aebcb4316a65f73f794a924e5619ee">operator==</a> (const <a class="el" href="classgg_1_1IEventSubscriber.html">IEventSubscriber</a> &amp;) -&gt; bool</td></tr>
<tr class="separator:ac8aebcb4316a65f73f794a924e5619ee inherit pub_methods_classgg_1_1IEventSubscriber"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a08c9dd34d285004445b619fe55a064f6 inherit pub_methods_classgg_1_1IEventSubscriber"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1IEventSubscriber.html#a08c9dd34d285004445b619fe55a064f6">OnEvent</a> (<a class="el" href="classgg_1_1IEvent.html">IEvent</a> *e)</td></tr>
<tr class="separator:a08c9dd34d285004445b619fe55a064f6 inherit pub_methods_classgg_1_1IEventSubscriber"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a961a23b00ee141313a4c8f7a505f3cb8 inherit pub_methods_classgg_1_1IEventSubscriber"><td class="memItemLeft" align="right" valign="top">auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1IEventSubscriber.html#a961a23b00ee141313a4c8f7a505f3cb8">GetNumberOfSubscribedEvents</a> () const -&gt; size_t</td></tr>
<tr class="separator:a961a23b00ee141313a4c8f7a505f3cb8 inherit pub_methods_classgg_1_1IEventSubscriber"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad78398900f7d14a9594e243e115e7ad0 inherit pub_methods_classgg_1_1IEventSubscriber"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1IEventSubscriber.html#ad78398900f7d14a9594e243e115e7ad0">IncrementNumberOfSubscribedEvents</a> ()</td></tr>
<tr class="separator:ad78398900f7d14a9594e243e115e7ad0 inherit pub_methods_classgg_1_1IEventSubscriber"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a87ad672a9db8b804deca81b7c4e6723f inherit pub_methods_classgg_1_1IEventSubscriber"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1IEventSubscriber.html#a87ad672a9db8b804deca81b7c4e6723f">DecrementNumberOfSubscribedEvents</a> ()</td></tr>
<tr class="separator:a87ad672a9db8b804deca81b7c4e6723f inherit pub_methods_classgg_1_1IEventSubscriber"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a44c244803f071939ab0822ec856903db inherit pub_methods_classgg_1_1IEventSubscriber"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1IEventSubscriber.html#a44c244803f071939ab0822ec856903db">ResetNumberOfSubscribedEvents</a> ()</td></tr>
<tr class="separator:a44c244803f071939ab0822ec856903db inherit pub_methods_classgg_1_1IEventSubscriber"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pro-methods" name="pro-methods"></a>
Protected Member Functions</h2></td></tr>
<tr class="memitem:a7435abe9524adbe082832bca365363a9"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1Scene.html#a7435abe9524adbe082832bca365363a9">draw</a> (sf::RenderTarget &amp;target, sf::RenderStates states) const override</td></tr>
<tr class="separator:a7435abe9524adbe082832bca365363a9"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a505d136d0f9025a5f0da9d09230bcdae" name="a505d136d0f9025a5f0da9d09230bcdae"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a505d136d0f9025a5f0da9d09230bcdae">&#9670;&nbsp;</a></span>Scene()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">gg::Scene::Scene </td>
          <td>(</td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classgg_1_1XMLDocument.html">XMLDocument</a>&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a0a9b6261ce9df8f1770d3c12d8b9f233" name="a0a9b6261ce9df8f1770d3c12d8b9f233"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0a9b6261ce9df8f1770d3c12d8b9f233">&#9670;&nbsp;</a></span>~Scene()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">gg::Scene::~Scene </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a5b86f08f78943b33a2ec7b62810e697c" name="a5b86f08f78943b33a2ec7b62810e697c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5b86f08f78943b33a2ec7b62810e697c">&#9670;&nbsp;</a></span>AddRootNode()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void gg::Scene::AddRootNode </td>
          <td>(</td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classgg_1_1SceneNode.html">SceneNode</a> *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a06d47727c4f086472155032d13dd5163" name="a06d47727c4f086472155032d13dd5163"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a06d47727c4f086472155032d13dd5163">&#9670;&nbsp;</a></span>AddRootNodeDefaultName()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void gg::Scene::AddRootNodeDefaultName </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classgg_1_1SceneNode.html">SceneNode</a> *&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a4ef7462ab36f0d4aaaaf9f2733acd372" name="a4ef7462ab36f0d4aaaaf9f2733acd372"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4ef7462ab36f0d4aaaaf9f2733acd372">&#9670;&nbsp;</a></span>AddToggleButtonToToggleGroup()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void gg::Scene::AddToggleButtonToToggleGroup </td>
          <td>(</td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classgg_1_1ToggleButton.html">ToggleButton</a> *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a7435abe9524adbe082832bca365363a9" name="a7435abe9524adbe082832bca365363a9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7435abe9524adbe082832bca365363a9">&#9670;&nbsp;</a></span>draw()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void gg::Scene::draw </td>
          <td>(</td>
          <td class="paramtype">sf::RenderTarget &amp;&#160;</td>
          <td class="paramname"><em>target</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">sf::RenderStates&#160;</td>
          <td class="paramname"><em>states</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="aa4ba65551db00899127ceb25037b9ec0" name="aa4ba65551db00899127ceb25037b9ec0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa4ba65551db00899127ceb25037b9ec0">&#9670;&nbsp;</a></span>GetLabelByID() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">auto gg::Scene::GetLabelByID </td>
          <td>(</td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> -&gt;  <a class="el" href="classgg_1_1Label.html">Label</a> *</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a8ad6f3a9bb7a46b029471f8842225fc8" name="a8ad6f3a9bb7a46b029471f8842225fc8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8ad6f3a9bb7a46b029471f8842225fc8">&#9670;&nbsp;</a></span>GetLabelByID() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">auto gg::Scene::GetLabelByID </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classgg_1_1SceneNode.html">SceneNode</a> *&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td> -&gt;  <a class="el" href="classgg_1_1Label.html">Label</a> *</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a9361fe7d1ace461d528c2ce224b74668" name="a9361fe7d1ace461d528c2ce224b74668"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9361fe7d1ace461d528c2ce224b74668">&#9670;&nbsp;</a></span>GetName()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">auto gg::Scene::GetName </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const -&gt;  const std::string &amp;</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a93356886f16efe8a190583faf9555ebd" name="a93356886f16efe8a190583faf9555ebd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a93356886f16efe8a190583faf9555ebd">&#9670;&nbsp;</a></span>GetNode() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">auto gg::Scene::GetNode </td>
          <td>(</td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> -&gt;  <a class="el" href="classgg_1_1SceneNode.html">SceneNode</a> *</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a395bd2fe23c27973ca6d62126ebe30c2" name="a395bd2fe23c27973ca6d62126ebe30c2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a395bd2fe23c27973ca6d62126ebe30c2">&#9670;&nbsp;</a></span>GetNode() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">auto gg::Scene::GetNode </td>
          <td>(</td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const -&gt;  const <a class="el" href="classgg_1_1SceneNode.html">SceneNode</a> *</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aeac07bf6e4c2f3daa87d8549f10c7c37" name="aeac07bf6e4c2f3daa87d8549f10c7c37"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aeac07bf6e4c2f3daa87d8549f10c7c37">&#9670;&nbsp;</a></span>GetPosition()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">auto gg::Scene::GetPosition </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const -&gt;  const sf::Vector2f</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ab7a7ed13c125bed129417988730cdbfe" name="ab7a7ed13c125bed129417988730cdbfe"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab7a7ed13c125bed129417988730cdbfe">&#9670;&nbsp;</a></span>GetSize()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">auto gg::Scene::GetSize </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const -&gt;  const sf::Vector2f</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a5850e4544304e6faea1677e418d3e7bc" name="a5850e4544304e6faea1677e418d3e7bc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5850e4544304e6faea1677e418d3e7bc">&#9670;&nbsp;</a></span>GetToggleGroup() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">auto gg::Scene::GetToggleGroup </td>
          <td>(</td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> -&gt;  <a class="el" href="classgg_1_1ToggleGroup.html">ToggleGroup</a> *</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ae3f0b3f0334943918ac284e1971c86c9" name="ae3f0b3f0334943918ac284e1971c86c9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae3f0b3f0334943918ac284e1971c86c9">&#9670;&nbsp;</a></span>GetToggleGroup() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">auto gg::Scene::GetToggleGroup </td>
          <td>(</td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const -&gt;  const <a class="el" href="classgg_1_1ToggleGroup.html">ToggleGroup</a> *</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="abcb1e788363581e54b580b9a5a9b28e1" name="abcb1e788363581e54b580b9a5a9b28e1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abcb1e788363581e54b580b9a5a9b28e1">&#9670;&nbsp;</a></span>IsActive()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">auto gg::Scene::IsActive </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> -&gt;  bool</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="abc9bfaf0685c16aaa2a8cc4973ad61b4" name="abc9bfaf0685c16aaa2a8cc4973ad61b4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abc9bfaf0685c16aaa2a8cc4973ad61b4">&#9670;&nbsp;</a></span>OnEvent()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void gg::Scene::OnEvent </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classgg_1_1IEvent.html">IEvent</a> *&#160;</td>
          <td class="paramname"><em>e</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Reimplemented from <a class="el" href="classgg_1_1IEventSubscriber.html#a08c9dd34d285004445b619fe55a064f6">gg::IEventSubscriber</a>.</p>

</div>
</div>
<a id="a09f1cc87ba6bc11a8b6beb5aeacf896b" name="a09f1cc87ba6bc11a8b6beb5aeacf896b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a09f1cc87ba6bc11a8b6beb5aeacf896b">&#9670;&nbsp;</a></span>RemoveNode() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void gg::Scene::RemoveNode </td>
          <td>(</td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a74f31565ab5a7597433b2870b10cabd4" name="a74f31565ab5a7597433b2870b10cabd4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a74f31565ab5a7597433b2870b10cabd4">&#9670;&nbsp;</a></span>RemoveNode() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void gg::Scene::RemoveNode </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classgg_1_1SceneNode.html">SceneNode</a> *&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a3722157abecbbebfb3f299735c7416cb" name="a3722157abecbbebfb3f299735c7416cb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3722157abecbbebfb3f299735c7416cb">&#9670;&nbsp;</a></span>RemoveToggleGroup()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void gg::Scene::RemoveToggleGroup </td>
          <td>(</td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a44f4252d969c5cc52edb5cacf0faa71a" name="a44f4252d969c5cc52edb5cacf0faa71a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a44f4252d969c5cc52edb5cacf0faa71a">&#9670;&nbsp;</a></span>SetActive()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void gg::Scene::SetActive </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a66b2770a4d2f38cba1fca7df7d1e06dc" name="a66b2770a4d2f38cba1fca7df7d1e06dc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a66b2770a4d2f38cba1fca7df7d1e06dc">&#9670;&nbsp;</a></span>Update()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void gg::Scene::Update </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>include/gui/<a class="el" href="Scene_8hpp_source.html">Scene.hpp</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
